/* Slider heading animation */
.marquee-container {
  position: relative;
  overflow: hidden;
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.marqueeText {
  font-size: 2.2rem;
  line-height: 3rem;
  font-family: "Times New Roman", Times, serif;
  font-weight: 600;
  color: #3e64de;
  text-shadow: -1px -1px 0 black, 1px -1px 0 black, -1px 1px 0 black,
    1px 1px 0 black;
  white-space: nowrap;
  width: 50% !important;
  padding-left: 20px;
}
.marqueeText:hover {
  transform: scale(1.1);
  padding-left: 20px;
}
/* Keyframes for scaling the text when it "meets" */
@keyframes textGlow {
  0% {
    transform: scale(1);
    color: #ff1a45;
  }
  50% {
    transform: scale(1.2);
    color: #3e64de;
  }
  75% {
    transform: scale(1);
    color: #fefe4e;
  }
  100% {
    transform: scale(1);
    color: linear-gradient(45deg, #ff1a45, #3e64de, #fefe4e);
  }
}
.left-to-right {
  animation: textGlow 5s infinite ease-in-out;
}

/* sub point of slider  */
#service-points {
  position: relative;
  overflow: hidden;
  margin: 10px 0 10px 40px;
}
#service-points > h2 {
  font-size: 1rem;
  font-family: Georgia, 'Times New Roman', Times, serif;
  font-weight: 500;
  color: bisque;
}
.point {
  opacity: 0;
  transform: translateX(-100%);
  animation: slideIn 5s forwards;
  margin-bottom: 1rem;
  font-size: 1.5rem;
}
.fa-arrow-right{
  color: chocolate;
}
@keyframes slideIn {
  from {
      opacity: 0;
      transform: translateX(-100%);
  }
  to {
      opacity: 1;
      transform: translateX(0);
  }
}
#service-points .point:nth-child(1) {
  animation-delay: 0.5s;
}

#service-points .point:nth-child(2) {
  animation-delay: 1s;
}

#service-points .point:nth-child(3) {
  animation-delay: 1.5s;
}

#service-points .point:nth-child(4) {
  animation-delay: 2s;
}

#service-points .point:nth-child(5) {
  animation-delay: 2.5s;
}
.pointSub{
  margin-bottom: 1rem !important;
  margin-top: 0rem !important;
  font-size: 1rem !important;
  transition: transform 0.3s ease;
}
.pointSub:hover{
  transform: scale(1.2) !important;
  padding-left: 50px;
}
.image_style{
  width: 70%;
  height: 80%;
  padding-top: 4.8rem !important;
  display: flex;
  z-index: 8;
  transition: transform 0.3s ease;
  border: none;
  outline: none;
}
.image_style:hover {
  transform: scale(1.1);
}

/* // slider main animations */
.parrot-container {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
  background-color: transparent;
}
.parrot {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 150px;
  animation: fly-to-top-right 10s ease-in-out forwards;
  z-index: 4;
}
@keyframes fly-to-top-right {
  0% {
    transform: translate(0, -50vh) rotate(0deg);
  }
  50% {
    transform: translate(44vw, -80vh) rotate(-5deg); 
  }
  100% {
    transform: translate(84vw, -50vh) rotate(0deg);
  }
}
.parrot:hover {
  animation-play-state: paused;
}

/* navbar animations Rain effect */
.rain {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 50px; 
  pointer-events: none;
  overflow: hidden;
  z-index: 1;
}

.drop {
  position: absolute;
  bottom: 100%;
  width: 2px;
  height: 20px;
  background: rgba(255, 255, 255, 0.831);
  animation: fall 0.5s linear infinite;
}

/* Animation for rain */
@keyframes fall {
  to {
    transform: translateY(100vh);
  }
}
